interface IConnection {
    endpoint: string;
    autoPair?: boolean;
}
export default class Connection {
    ws: WebSocket;
    endpoint: URL;
    autoPair: boolean;
    connected: boolean;
    constructor(options: IConnection);
    connect(): void;
    addWSEvents(): void;
    private eventOpen;
    private eventClose;
    private eventError;
    private recaivePackEvent;
    onRecaivePack(func: (data: any) => any): void;
    private eventMessage;
    tranferToServer(data: any): void;
}
export {};
//# sourceMappingURL=Connection.d.ts.map